org.apache.fontbox.ttf.table.common

## Class LangSysTable

- java.lang.Object
- - org.apache.fontbox.ttf.table.common.LangSysTable

    public class LangSysTable
    extends Object

This class models the Language system tags in the Open Type Font specs.

Author:
  Palash Ray

### Constructor Summary

Constructors
Constructor and Description
`LangSysTable(int lookupOrder, int requiredFeatureIndex, int featureIndexCount, int[] featureIndices)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getFeatureIndexCount()`
`int[]` `getFeatureIndices()`
`int` `getLookupOrder()`
`int` `getRequiredFeatureIndex()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LangSysTable

    public LangSysTable(int lookupOrder,
                        int requiredFeatureIndex,
                        int featureIndexCount,
                        int[] featureIndices)

### Method Detail

#### getLookupOrder

    public int getLookupOrder()

#### getRequiredFeatureIndex

    public int getRequiredFeatureIndex()

#### getFeatureIndexCount

    public int getFeatureIndexCount()

#### getFeatureIndices

    public int[] getFeatureIndices()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`